
PlayerTokenNode = class( Turbine.UI.TreeNode );

function PlayerTokenNode:Constructor(p, item, hightlight)
	
	Turbine.UI.TreeNode.Constructor( self );    	
	self:SetSize( 312, 35 );
	self:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	self:SetBackground("WalmPlugins/BandOfFarmers/background_blue.tga");
	
	
	self.playerNameLabel = Turbine.UI.Label();
	self.playerNameLabel:SetParent( self );
	self.playerNameLabel:SetSize( 140, 28 );
	self.playerNameLabel:SetPosition( 42, 3 );
	self.playerNameLabel:SetZOrder(100);
	self.playerNameLabel:SetFont( Turbine.UI.Lotro.Font.TrajanPro14	 );	
	self.playerNameLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleLeft );
	self.playerNameLabel:SetMouseVisible( false );
	self.playerNameLabel:SetText("["..p.playerLevel.."] "..p.playerName);
	
	if(hightlight==true) then
		self.playerNameLabel:SetForeColor(Turbine.UI.Color( 1, 1, 0.5 ));
	end
	
	-- local value = {};
	-- value.playerName = player.name;
	-- value.playerLevel = player.data.level;
	-- value.playerClass = player.data.playerClass;
	-- value.playerQuantity = player.data.wallet[k].quantity;	
	
	
	self.classLabel = Turbine.UI.Control();
	self.classLabel:SetParent( self );
	self.classLabel:SetSize( 20, 20 );
	self.classLabel:SetPosition( 9, 7 );
	if(p.playerClass == 172) then
		self.classLabel:SetBackground( "WalmPlugins/BandOfFarmers/pictures/fellowship_champion_20.tga");
	elseif(p.playerClass == 214) then
		self.classLabel:SetBackground( "WalmPlugins/BandOfFarmers/pictures/fellowship_beorning_20.tga");
	elseif(p.playerClass == 40) then
		self.classLabel:SetBackground( "WalmPlugins/BandOfFarmers/pictures/fellowship_burglar_20.tga");
	elseif(p.playerClass == 23) then
		self.classLabel:SetBackground( "WalmPlugins/BandOfFarmers/pictures/fellowship_guardian_20.tga");
	elseif(p.playerClass == 194) then
		self.classLabel:SetBackground( "WalmPlugins/BandOfFarmers/pictures/fellowship_warden_20.tga");
	elseif(p.playerClass == 193) then
		self.classLabel:SetBackground( "WalmPlugins/BandOfFarmers/pictures/fellowship_runekeeper_20.tga");
	elseif(p.playerClass == 185) then
		self.classLabel:SetBackground( "WalmPlugins/BandOfFarmers/pictures/fellowship_loremaster_20.tga");
	elseif(p.playerClass == 162) then
		self.classLabel:SetBackground( "WalmPlugins/BandOfFarmers/pictures/fellowship_hunter_20.tga");
	elseif(p.playerClass == 31) then
		self.classLabel:SetBackground( "WalmPlugins/BandOfFarmers/pictures/fellowship_minstrel_20.tga");
	elseif(p.playerClass == 24) then
		self.classLabel:SetBackground( "WalmPlugins/BandOfFarmers/pictures/fellowship_captain_20.tga");
	else
		self.classLabel:SetBackground( "WalmPlugins/BandOfFarmers/pictures/fellowship_normal.tga");
		self.classLabel:SetPosition( 6, 5 );
		self.classLabel:SetSize( 26, 24 );
	end
	self.classLabel:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	self.classLabel:SetMouseVisible( false );

	local imageLabel = Turbine.UI.Control();
	imageLabel:SetParent( self );
	imageLabel:SetSize( 30, 30 );
	imageLabel:SetPosition( 200, 2 );
	imageLabel:SetBlendMode( Turbine.UI.BlendMode.AlphaBlend );
	imageLabel:SetBackground( item.image );

	local valueLabel = Turbine.UI.Label();
	valueLabel:SetParent( self );
	valueLabel:SetSize( 40, 16 );
	valueLabel:SetPosition( 230, 11 );
	valueLabel:SetFont( Turbine.UI.Lotro.Font.TrajanPro14	 );	
	valueLabel:SetTextAlignment( Turbine.UI.ContentAlignment.MiddleRight );
	valueLabel:SetMouseVisible( false );
	valueLabel:SetText(p.playerQuantity);
	
end

function PlayerTokenNode:GetPlayer()
	return self.player;
end

function PlayerTokenNode:UpdateNodeData(p)
	-- if p~= nil and p.name == self.player.name  then
		-- self.player = p;
		-- self.goldValueLabel:SetText(math.floor(self.player.data.gold/100000));
		-- self.silverValueLabel:SetText(math.floor(self.player.data.gold/100%1000));	
		-- self.copperValueLabel:SetText(math.floor(self.player.data.gold%100));	
		-- self.playerNameLabel:SetText("["..self.player.data.level.."] "..self.player.name);
	-- end
end
